GNU Radio 2.x: gr_oscope_guts Class Reference

Main Page | Modules | Namespace List | Class Hierarchy | Class List | File List | Class Members | File Members

# gr_oscope_guts Class Reference

`#include <gr_oscope_guts.h>`

List of all members.

## Detailed Description

guts of oscilloscope trigger and buffer module

This module processes sets of samples provided the `process_sample` method. When appropriate given the updateRate, sampleRate and trigger conditions, process_sample will periodically write output records of captured data to output_fd. For each trigger event, nchannels records will be written. Each record consists of get_samples_per_output_record binary floats. The trigger instant occurs at the 1/2 way point in the buffer. Thus, output records consist of 50% pre-trigger data and 50% post-trigger data.

## Public Member Functions
| gr_oscope_guts (int nchannels, double sample_rate, gr_msg_queue_sptr msgq)
| ~gr_oscope_guts ()
void | process_sample (const float *channel_data)
bool | set_update_rate (double update_rate)
bool | set_decimation_count (int decimation_count)
bool | set_trigger_channel (int channel)
bool | set_trigger_mode (gr_trigger_mode mode)
bool | set_trigger_level (double trigger_level)
bool | set_trigger_level_auto ()
int | num_channels () const
double | sampling_rate () const
double | update_rate () const
int | get_decimation_count () const
int | get_trigger_channel () const
gr_trigger_mode | get_trigger_mode () const
double | get_trigger_level () const
int | get_samples_per_output_record () const

## Constructor & Destructor Documentation

gr_oscope_guts::gr_oscope_guts | ( | int | nchannels,
|  | double | sample_rate,
|  | gr_msg_queue_sptr | msgq
| ) |

gr_oscope_guts::~gr_oscope_guts | ( |  | ) |

## Member Function Documentation

int gr_oscope_guts::get_decimation_count | ( |  | ) | const

int gr_oscope_guts::get_samples_per_output_record | ( |  | ) | const

int gr_oscope_guts::get_trigger_channel | ( |  | ) | const

double gr_oscope_guts::get_trigger_level | ( |  | ) | const

gr_trigger_mode gr_oscope_guts::get_trigger_mode | ( |  | ) | const

int gr_oscope_guts::num_channels | ( |  | ) | const

void gr_oscope_guts::process_sample | ( | const float * | channel_data | ) |

| `channel_data` points to nchannels float values. These are the values for each channel at this sample time.

double gr_oscope_guts::sampling_rate | ( |  | ) | const

bool gr_oscope_guts::set_decimation_count | ( | int | decimation_count | ) |

bool gr_oscope_guts::set_trigger_channel | ( | int | channel | ) |

bool gr_oscope_guts::set_trigger_level | ( | double | trigger_level | ) |

bool gr_oscope_guts::set_trigger_level_auto | ( |  | ) |

bool gr_oscope_guts::set_trigger_mode | ( | gr_trigger_mode | mode | ) |

bool gr_oscope_guts::set_update_rate | ( | double | update_rate | ) |

double gr_oscope_guts::update_rate | ( |  | ) | const

The documentation for this class was generated from the following files:

- gr_oscope_guts.h
- gr_oscope_guts.cc